Subject: Re: bug#19192: 25.0.50; TRAMP uses `dired-listing-switches' for ftp-connection

From: Rasmus <[email-masked]>
Date: Thu, 27 Nov 2014 00:45:36 +0100

Hi,

Michael Albinus <[email-masked]> writes:

> Rasmus <[email-masked]> writes:
>> I don't know if this is a feature or a bug.
>>
>> Michael: do you want me to write a patch or will this be a quick fix for
>> you?
>
> Likely, it is a feature. So I don't know whether we can fix this quickly.

I agree.

> However, if you want to investigate it, it is likely in
> ange-ftp.el. Tramp doesn't care about ftp connections, it let
> ange-ftp.el do the job.

Thanks for pointing this out.

> A possible fix might be to give a user an option, whether global
> dired-listing-switches shall be used everywhere, or whether there shall
> be special settings connection-oriented.

So it turns out that arguments are tested via `ange-ftp-switches-ok'.
So the easiest fix would probably be to extend this function to do a
better job of checking.  Unfortunately, I don't know if one can easily
predict which ls commands will be understood and which not?  E.g. does
ftp ls depend on the host systems version of ls?

Thanks,
Rasmus

-- 
Summon the Mothership!